=== debian/control ===
Source: percona-xtrabackup
Section: misc
Priority: extra
Maintainer: Percona Development <mysql-dev@percona.com>
Build-Depends: debhelper, autotools-dev, libaio-dev
Standards-Version: 3.7.3
Homepage: https://launchpad.net/percona-xtrabackup
Vcs-Browser: http://bazaar.launchpad.net/~percona-dev/percona-xtrabackup/release-1.4/files
Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~percona-dev/percona-xtrabackup/release-1.4/

Package: percona-xtrabackup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mysql-client
Provides: xtrabackup
Breaks: xtrabackup (<< 2.0.0~)
Replaces: xtrabackup (<< 2.0.0~)
Description: Open source backup tool for InnoDB and XtraDB
 Open source backup tool for InnoDB and XtraDB

Package: xtrabackup
Architecture: all
Section: oldlibs
Depends: percona-xtrabackup, ${misc:Depends}
Description: Transitional package for percona-xtrabackup
