=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

MAKE_J = -j$(shell if [ -f /proc/cpuinfo ] ; then grep -c processor.* /proc/cpuinfo ; else echo 1 ; fi)


config.status: 
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	#./configure --enable-local-infile --enable-thread-safe-client --with-plugins=innobase --with-zlib-dir=bundled --with-extra-charsets=complex


build: build-stamp

build-stamp:  config.status 
	dh_testdir

	# Add here commands to compile the package.
	AUTO_DOWNLOAD=yes ./utils/build.sh 5.1
	 cp src/xtrabackup_51 src/xbstream .

	AUTO_DOWNLOAD=yes ./utils/build.sh xtradb
	cp src/xtrabackup .

	AUTO_DOWNLOAD=yes ./utils/build.sh xtradb55
	cp src/xtrabackup_55 .

	#docbook-to-man debian/xtrabackup.sgml > xtrabackup.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	#[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: 
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/percona-xtrabackup.
	install -m 755 xtrabackup_51 $(CURDIR)/debian/percona-xtrabackup/usr/bin
	install -m 755 xtrabackup $(CURDIR)/debian/percona-xtrabackup/usr/bin
	install -m 755 xtrabackup_55 $(CURDIR)/debian/percona-xtrabackup/usr/bin
	install -m 755 xbstream $(CURDIR)/debian/percona-xtrabackup/usr/bin
	install -m 755 innobackupex $(CURDIR)/debian/percona-xtrabackup/usr/bin
	ln -s innobackupex $(CURDIR)/debian/percona-xtrabackup/usr/bin/innobackupex-1.5.1
	cp -R test $(CURDIR)/debian/percona-xtrabackup/usr/share/percona-xtrabackup-test

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
#	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
