## percona-xtrabackup 2.0.3-470.oneiric

=== debian/changelog ===
percona-xtrabackup (2.0.3-470.oneiric) oneiric; urgency=low

  * Update distribution

 -- Ignacio Nin <ignacio.nin@percona.com>  Mon, 24 Sep 2012 16:58:37 -0400
